Skip to main content
POST
/
uptime
/
incidents
/
{incidentId}
/
updates
/
{incidentUpdateId}
Update an incident update
curl --request POST \
  --url https://api.phare.io/uptime/incidents/{incidentId}/updates/{incidentUpdateId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "We are investigating the issue.",
  "published_at": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.phare.io/uptime/incidents/{incidentId}/updates/{incidentUpdateId}"

payload = {
"content": "We are investigating the issue.",
"published_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'We are investigating the issue.',
published_at: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.phare.io/uptime/incidents/{incidentId}/updates/{incidentUpdateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": "We are investigating the issue.",
  "id": 1,
  "published_at": "2023-11-07T05:31:56Z",
  "creator": {
    "id": 1,
    "type": "user",
    "label": "nicolas@phare.io"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"message": "Unauthorized"
}
{
"message": "The platform:write permission is required to perform this action."
}
{
"message": "Resource not found"
}
{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

incidentId
integer
required

ID of the incident

incidentUpdateId
integer
required

ID of the incident update to update

Body

application/json

Incident update request

state
enum<string>
Available options:
unknown,
investigating,
identified,
monitoring,
resolved
content
string

Content of the incident update

Example:

"We are investigating the issue."

published_at
string<date-time>

Date of publication of the incident update

Response

Success, incident update updated

state
enum<string>
required
Available options:
unknown,
investigating,
identified,
monitoring,
resolved
content
string
required

Content of the incident update

Example:

"We are investigating the issue."

id
integer

Incident update ID

Example:

1

published_at
string<date-time>

Date of publication of the incident update

creator
object

Creator of the incident update

created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on February 22, 2026